<?php
/**
 * 2007-2015 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author PrestaShop SA <contact@prestashop.com>
 *  @copyright  2007-2015 PrestaShop SA
 *  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

require_once('../../../config/config.inc.php');
require_once('../../../init.php');
require_once('../mensagiaprestashop.php');
require_once('../models/MensagiaSMSNotification.php');
require_once('../classes/MensagiaPrestashopExport.php');

$demo = false;
$post = Tools::getAllValues();


if ($demo) {
    echo "demo-on";
} else {
    if (Tools::getIsset('action')) {
        $action     = Tools::getValue('action');
        $options    = Tools::getValue('options');

        $export = new MensagiaPrestashopExport($options);

        switch ($action) {
            case 'export_init':
                echo $export->exportInit();
                break;

            case 'delete_agendas':
                echo $export->deleteAgendas();
                break;

            case 'create_agendas':
                echo $export->createAgendas();
                break;

            case 'check_extrafields':
                echo $export->checkExtrafields();
                break;

            case 'export_groups':
                echo $export->exportGroups();
                break;

            case 'waiting_finish_processes':
                echo $export->waitingFinishProcesses();
                break;

            case 'export_finished':
                echo $export->exportFinished();
                break;

            default:
                break;
        }
    }
}
