/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Mensagia.com
 *  @copyright 2010-2015 Sinermedia
 *  @license   LICENSE.txt
 */
var demo    = false;

$(document).ready(function(){

    $(function() {

        $('.toggleNotification').bootstrapToggle({
            on: notificacion_activada,
            off: notificacion_desactivada,
            width: 200
        });


        $('.btn-save').click(function(e) {

            if (demo) {
                $('#modalDemo').modal('toggle');
                return false;
            }

            _this = $(this);

            e.preventDefault();

            group   = $(this).attr('group');
            counter = $(this).attr('counter');


            var arr = [];

            for (i=0; i<counter; i++)
            {
                arr.push({
                    text: $("#textarea_"+group+"_"+i).val(),
                    id : $("#textarea_"+group+"_"+i).attr('lang_id')
                });
            }

            json = JSON.stringify( arr );


            $.ajax({
                url: '../modules/mensagiaprestashop/ajax/ajax_notifications.php',
                data:{
                    action:'saveTextNotification',
                    token: token_mod,
                    json: json,
                },
                method: 'POST',
                success: function(data){
                    _this.find('.loaderImg').fadeOut();

                    if (data == 'true')
                    {
                        _this.parent().find('.saved_ok').fadeIn();

                        setTimeout(function(){ _this.parent().find('.saved_ok').fadeOut()}, 3000);
                    }
                    else
                    {
                        _this.parent().find('.saved_ko').fadeIn();

                        setTimeout(function(){ _this.parent().find('.saved_ko').fadeOut()}, 3000);
                    }

                },
                beforeSend: function() {
                    _this.find('.loaderImg').fadeIn();
                },
            });
        });


        $('.lichange').click(function(e) {

            e.preventDefault();

            group   = $(this).attr('group');
            opener  = $(this).attr('opener');
            counter = $(this).attr('counter');

            $("#"+opener).fadeIn();
            $(".li_"+group).removeClass('active');
            $(this).parent().addClass('active');

            $(".textarea_"+group).hide();
            $(".textarea_"+group+"_"+counter).show();

            // texto ejemplo
            text =  $(".textarea_"+group+"_"+counter).val();
            newText = transformTextExample(text);
            $(".textarea_"+group+"_"+counter).parent().find('.textTransform').text(newText);
        });


        $('.openMsgSelector').click(function(e) {

            e.preventDefault();

            opened  = $(this).attr('opened');
            related = $(this).attr('related');
            opener  = $(this).attr('related').replace('h_', 't_');

            if (opened == "false")
            {
                $("#"+opener+" td").attr('style', 'border-bottom: 0px !important;background-color:#eee;');
                $("#"+related).fadeIn();

                $(this).attr('opened', "true");

                // texto ejemplo
                text =  $("#"+related+"").find('textarea:visible').val();
                newText = transformTextExample(text);
                $("#"+related+"").find('.textTransform').text(newText);
            }
            else
            {

                $("#"+opener+" td").removeAttr('style');
                $("#"+related).fadeOut();

                $(this).attr('opened', "false");
            }

        });


        $('.btn-close').click(function() {

            related = $(this).attr('related');
            opener  = $(this).attr('related').replace('h_', 't_');


            $("#"+opener+" td").removeAttr('style');
            $("#"+related).fadeOut();
        });


        $('.toogleTypeNotification').click(function() {

            mustOpen = $(this).attr('mustOpen');
            mustOpenClass  = $(this).attr('mustOpenClass');

            $(this).parent().parent().find("li").removeClass('active');
            $(this).parent().addClass('active');

            $("."+mustOpenClass).hide();
            $("#"+mustOpen).show();
        });


        $('.table_vars tbody tr td').click(function() {

            id   = $(this).parent().parent().parent().parent().parent().parent().find('textarea:visible').attr('id');

            addToMensage(id, $(this).text(), false);

            text = null;
            text = $(this).parent().parent().parent().parent().parent().parent().find('textarea:visible').val();
            newText = transformTextExample(text);

            $(this).parent().parent().parent().parent().parent().parent().find('.textTransform').text(newText);
        });

        $('textarea').keyup(function() {
            // texto ejemplo
            text =  $(this).val();
            newText = transformTextExample(text);
            $(this).parent().find('.textTransform').text(newText);
        });


        $('.toggleNotification').change(function() {

            hook    = $(this).attr('hook');
            htype   = $(this).attr('htype');
            hid     = $(this).attr('hid');

            if ($(this).prop('checked'))
                active = 1;
            else
                active = 0;

            $.ajax({
                url: '../modules/mensagiaprestashop/ajax/ajax_notifications.php',
                data:{
                    action:'toggleNotification',
                    token: token_mod,
                    hook: hook,
                    htype: htype,
                    hid: hid,
                    active: active,
                },
                method: 'POST',
                success: function(data){
                    if (data != 'true')
                        alert('Ha habido un error cambiando el estado de la notificación')
                }
            });
        });


    });

});


function addToMensage(selector_textarea,txtToAdd, highlight)
{
    messageTxt = $("#"+selector_textarea);

    var caretPos = document.getElementById(messageTxt.attr('id')).selectionStart;
    var textAreaTxt = messageTxt.val();
    messageTxt.val(textAreaTxt.substring(0, caretPos) + txtToAdd + textAreaTxt.substring(caretPos) );

    //if (highlight)
        //setTimeout(function(){ messageTxt.effect('highlight', 2000); }, 400);
}

function transformTextExample(text)
{
    trobat = false;

    var regExp = /\{([^}]+)\}/;

    while(!trobat)
    {
        var matches = regExp.exec(text);
        if (matches)
        {
            if (typeof matches[1] !== 'undefined') {
                if (typeof example['{'+matches[1]+'}'] !== 'undefined')
                    text = text.replace('{'+matches[1]+'}', example['{'+matches[1]+'}']);
                else
                    text = text.replace('{'+matches[1]+'}', '');
            }
            else
                trobat = true;
        }
        else
            trobat = true;

    }

    return text;
}